#include "GSetting.h"


GSetting::GSetting(){
	HPLProperties* prop = new HPLProperties();
	prop->loadFromTextFile("data/General.txt");

	setHPLSetting(prop);

	delete prop;

	prop = new HPLProperties();
	prop->loadFromTextFile("data/PlayerSetting.txt");
	player.walkMaxSpeed = prop->getFloat("WALK_MAX_SPEED");
	player.walkAccel = prop->getFloat("WALK_ACCEL");
	player.airMaxSpeed = prop->getFloat("AIR_MAX_SPEED");
	player.airAccel = prop->getFloat("AIR_ACCEL");
	player.jumpSpeed = prop->getFloat("JUMP_SPEED");
	delete prop;

}

GSetting::~GSetting(){
}
